use actix_web::{web, App, HttpServer};

use actix_web_learning::{hello, echo, resend, manual_hello};

#[actix_web::main]
async fn main() -> std::io::Result<()> {
    HttpServer::new(|| {
        App::new()
            .service(hello)
            .service(echo)
            .service(resend)
            .route("/hey", web::get().to(manual_hello))
    })
    .bind(("darkicen950.local", 8080))?
    .run()
    .await
}